Page MenuHomePhabricator

Deploy InternetArchiveBot on the Hungarian Wikipedia (huwiki)
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptJan 13 2018, 6:49 PM
Cyberpower678 triaged this task as High priority.Jan 13 2018, 6:49 PM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.

@Cyberpower678; could you tell me about when the 2.0 version will be release and deploy?

I'm testing components of it right now.

Thanks your answer, I am looking forward to.

@Cyberpower678 Sorry for bothering you, but on April 11th, the Magyar Nemzet newspaper and its online site (mno.hu) will permanently close, told today the owner. We cannot archive these ~2250 links without your bot. Would it be possible to archive them before they die?

Cirdan added a subscriber: Cirdan.Apr 10 2018, 7:50 PM

Hi @Bencemac, can you generate a list of links? Then it should be possible to pass them to the InternetArchive using a script which calls https://web.archive.org/save/<URL> for each URL.

If that doesn't work in time, but you still have the list, a good bet is to create a wiki article which contains all of the URLs. Usually, all URLs added to any Wikipedia language version are automatically archived within seconds after the edit was made.

(I will try to see whether I can trigger a complete archival through archive.org, but I've never tried this before.)

Tgr added a comment.Apr 10 2018, 11:22 PM

Should be done.

$ cat > mno.py 
#!/usr/bin/python
# -*- coding: utf-8 -*-

import bisect
import urllib
from wikitools import wiki, api

site = wiki.Wiki('https://hu.wikipedia.org/w/api.php')
params = {
    "action": "query",
    "format": "json",
    "list": "exturlusage",
    "euprop": "url",
    "euquery": "mno.hu",
    "eulimit": "max",
    "euexpandurl": 1,
}
protocols = ['http', 'https'];
archive_url = 'https://web.archive.org/save/%s'

urls = {}

for protocol in protocols:
    params['euprotocol'] = protocol
    for result in api.APIRequest(site, params).queryGen():
        for item in result['query']['exturlusage']:
            urls[item['url']] = True

for url in urls:
    print archive_url % url

$ python mno.py | xargs -n1 curl
Tgr added a comment.Apr 10 2018, 11:23 PM

Would be nice to archive the whole website though. (Although looking at the archive.org entries, looks like others have been working on this as well.)

I cannot run the code because I got syntactic error after coping/pasting (again). @Tgr Hasonló problémám volt már korábban, hogyan tudnám letölteni helyes behúzásokkal?

Plus 175 and 44 links are on enwiki and dewiki. For them, do you need a list too?

Tgr added a comment.Apr 11 2018, 9:02 AM

$ sudo pip install wikitools docopt
$ python list_archive_links.py en.wikipedia.org mno.hu | xargs -n1 curl

I've run it for enwiki and dewiki as well.

@Tgr It still doesn't want to work for me, how about you? Could you make the list (the page is still alive)?

@Bencemac Of course the above Linux commands won’t work on Windows. Windows doesn’t have sudo and xargs, you have to separately install curl, python and pip (the last two are certainly installed on your computer, but the other ones are most probably not). sudo can be worked around by using an administrator command prompt, but I haven’t found a simple replacement for xargs.

@Tgr I got the following error in my Bash emulator on Win7 (after adding the parentheses around the print’s argument, as I use py3):

Traceback (most recent call last):
  File "list_archive_links.py", line 14, in <module>
    from wikitools import wiki, api
  File "C:\Program Files\Python36\lib\site-packages\wikitools\__init__.py", line 19, in <module>
    from wiki import *
ModuleNotFoundError: No module named 'wiki'
Cirdan added a comment.EditedApr 14 2018, 11:29 AM

@Tacsipacsi You either need to run wikitools on Python 2.7 or manually update wikitools to Python 3 (there were some breaking changes to the import mechanism from Python 2 to 3). It seems that the Python 3 version is not on PyPI, but you can manually replace the wikitools modules with the version found here on GitHub.

Thanks for the clarification, than I won’t run it on my laptop. No problem, I have SSH access to a Linux server with Python 2, I will use that.

Tgr added a comment.Apr 16 2018, 3:36 PM

You might be able to use Chocolatey on Windows, although using a virtual machine is probably less painful. In any case here are the links (already archived though):

@Cyberpower678 Could you give us a quick status report (as usual, when is the question)? Thanks!

@Bencemac I briefly talked to Cyberpower on IRC yesterday and he said that IABot 2.0 is almost ready to go live as Beta. I believe new deployments will start as soon as all existing deployments have been upgraded to 2.0.

Have you already prepared all of your citation templates, i.e. added archivebot, archiveurl and archivedate parameters?

No, I do not know about it. Could you link me a manual? I cannot find myself.

@Bencemac I'm afraid there is no manual. As you can see in this diff, at least on the German-language Wikipedia, there is an archivebot parameter which we use to track IABot's edits and display notifications/create maintenance categories.

If you want IABot to add archive links to templates, the necessary parameters need to be available, as you can see e.g. here.

It helps to have a list of templates and their parameter names available to ensure that IABot understands and uses them all correctly.

archivebot is not a necessary parameter, but for citation templates the mandatory parameters are the parameters for placing an archive URL and the snapshot time for said URL. IABot can work without the rest. IABot can even work without Webarchive templates.

Shall I create a list about the affected templates and their parameters?

@Bencemac Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bat approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?

@Cyberpower678 First of all, I am answering your questions. I am bureaucrat on the Hungarian Wikipedia, so I can grant the bot flag. However, I would like to do the following; without bot flag, IABot should make ~50 edits (or more, if it is necessary) and I would check them one by one.

  1. No consensus yet.
  2. Yes; Halott link and Dead link for dead links, Wayback for archived links. Dead links' category.
  3. Most used with archive parameters:
TemplateURLDate
CitLibarchívurlarchívdátum
CitPerarchívurlarchívdátum
CitWebarchívurlarchívdátum
Hiv-webarchívurlarchívdátum
Cite webarchiveurlarchivedate
Cite journalarchiveurlarchivedate
Cite newsarchiveurlarchivedate
Cite videoarchiveurlarchivedate
  1. YYYY-MM-DD (2018-06-06) is the preferred and used by templates, but there many more (English, wrong, etc.).

I will translate the messages soon.

Furthermore, would it be possible the bot converts [URL text] dead links into {{cite web|url=URL|title=text|accessdate=YYYY-MM-DD|archiveurl=|archivedate=}} format?

For example, the following link is dead: [https://hu.wikipedia.org/ Hungarian Wikipedia] -> {{cite web|url=https://hu.wikipedia.org/|title=Hungarian Wikipedia|accessdate=2018-06-06|archiveurl=|archivedate=}}

Furthermore, would it be possible the bot converts [URL text] dead links into {{cite web|url=URL|title=text|accessdate=YYYY-MM-DD|archiveurl=|archivedate=}} format?
For example, the following link is dead: [https://hu.wikipedia.org/ Hungarian Wikipedia] -> {{cite web|url=https://hu.wikipedia.org/|title=Hungarian Wikipedia|accessdate=2018-06-06|archiveurl=|archivedate=}}

Not really. The bot is not doing anything useful there. The link is not being identified as dead. What IABot already does though is take and plain or textless bracketed URLs and converts them to cite templates if it needs to add an archive URL to it. Otherwise it just throws a dead link template on there at current.

To clarify what I mean, if a URL is dead and IABot has an archive for it:

  • URL -> {{cite web|url=URL|title=text|accessdate=YYYY-MM-DD|archiveurl=ARCHIVEURL|archivedate=ARCHIVEDATE}}
  • [URL] -> {{cite web|url=URL|title=text|accessdate=YYYY-MM-DD|archiveurl=ARCHIVEURL|archivedate=ARCHIVEDATE}}
  • [URL text] -> [URL text] {{Wayback}}
Teemeah added a subscriber: Teemeah.EditedJun 9 2018, 12:04 PM

Translation:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Külső hivatkozások módosítva ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.

Kedves szerkesztőtársak! \n\nI épp most módosított {linksrescued} külső hivatkozást a/z [[{namespacepage}]] lapon. Kérlek ellenőrizzétek a [{diff} szerkesztést]. Ha kérdésetek lenne, vagy szeretnétek, hogy a bot figyelmen kívül hagyja a linkeket, esetleg az egész lapot, kérlek olvassátok el [[:m:InternetArchiveBot/FAQ|ezt az egyszerű útmutatót]] további információért. Ezeket a változtatásokat hajtottam végre:\n{modifiedlinks}\n Az útmutatóban található további információ a bot hibáinak javításáról.\n\nÜdv!

  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Javításra szoruló külső hivatkozásokat találtam ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

Kedves szerkesztőtársak! \n\nI egy vagy több olyan külső hivatkozást talált a/z [[{namespacepage}]] lapon, melyet jó lenne ellenőrizni. Kérlek ellenőrizzétek a hivatkozásokat és javítsátok, amennyiben szükséges. A következő problémákat észleltem:\n{modifiedlinks}\nHa kész vagytok a szükséges változtatásokkal, kérlel olvassátok el [[:m:InternetArchiveBot/FAQ|ezt az egyszerű útmutatót]] a fenti URL-ek javításához szükséges további információkhoz.\n\nEzt az üzenetet csak egyszer küldöm el ezekre az URL-ekre vonatkozóan.\n\nÜdv!

  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Valami gond van az oldal linkjeinek archiválásával ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • Helló! Az archiválási folyamat során egy vagy több archiválni kívánt linkről hibaüzenetet kapok.\nLentebb találod a hibaüzenetet produkáló linkeket, valamint a hibaüzenetet.\n\n{problematiclinks}\nEz az egyetlen értesítés a fenti linkekkel kapcsolatosan, archiválásukkal újra nem próbálkozom meg.\n\nÜdv!
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.

A {link} halottnak tűnik. Javasolt a/z {newarchive} hozzáadása az eredeti URL-hez.

  • {link} is found to be dead. No archive was found.

A {link} halottnak tűnik. Archivált verziót nem találtam.

  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.

A {link} halottnak minősített, azonban a webhely továbbra is él. Javasolt a sablon eltávolítása az URL-ről.

  • Added archive {newarchive} to {link}

{newarchive} archivált link hozzáadva a/z {link} linkhez.

  • Replaced archive link {oldarchive} with {newarchive} on {link}

{link} link {oldarchive} archivált linkje lecserélve {newarchive} linkkel.

  • Corrected formatting/usage for {link}

{link} formázásának/használatának javítása megtörtént.

  • Added {{tlx|dead link}} tag to {link}

{{tlx|dead link}} sablon kihelyezve a {link} linkre.

  • Removed dead tag from {link}

Halott link sablon eltávolítva a {link} linkről.

  • Modified source for {link}

{link} forrása módosítva.

  • {problem} with error {error}

{problem} {error} hibakóddal

  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.

{linksrescued} forrás archiválása és {linkstagged} megjelölése halott linkként.

  • Notification of errors encountered when attempting to archive links

Értesítés a linkek archiválási kísérletekor tapasztalt hibakódokról.

  • Notification of altered sources needing review

Értesítés módosított források ellenőrzésének szükségességéről.

Some improvements to @Teemeah’s translations:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Külső hivatkozások módosítva ({{subst:CURRENTYEAR}}. {{subst:CURRENTMONTHNAME}})

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.

Kedves szerkesztőtársak!\n\nÉpp most módosítottam {linksrescued} külső hivatkozást a(z) [[{namespacepage}]] lapon. Kérlek, ellenőrizzétek a [{diff} szerkesztést]. Ha kérdésetek lenne, vagy szeretnétek, hogy a bot figyelmen kívül hagyja a linkeket, esetleg az egész lapot, kérlek, olvassátok el [[:m:InternetArchiveBot/FAQ|ezt az egyszerű útmutatót]] további információért. Ezeket a változtatásokat hajtottam végre:\n{modifiedlinks}\nAz útmutatóban található további információ a bot hibáinak javításáról.\n\nÜdv!

  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Javításra szoruló külső hivatkozásokat találtam ({{subst:CURRENTYEAR}}. {{subst:CURRENTMONTHNAME}})

  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

Kedves szerkesztőtársak!\n\nEgy vagy több figyelmet igénylő külső hivatkozást találtam a(z) [[{namespacepage}]] lapon. Kérlek, ellenőrizzétek a hivatkozásokat és javítsátok, amennyiben szükséges. A következő problémákat észleltem:\n{modifiedlinks}\nHa kész vagytok a szükséges változtatásokkal, kérlek, olvassátok el [[:m:InternetArchiveBot/FAQ|ezt az egyszerű útmutatót]] a fenti URL-ek javításához szükséges további információkhoz.\n\nEzt az üzenetet csak egyszer küldöm el ezekre az URL-ekre vonatkozóan.\n\nÜdv!

  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

Valami gond van az oldal linkjeinek archiválásával ({{subst:CURRENTYEAR}}. {{subst:CURRENTMONTHNAME}})

  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.

Helló! Az archiválási folyamat során egy vagy több archiválni kívánt linkről hibaüzenetet kapok.\nLentebb találod a hibaüzenetet produkáló linkeket, valamint a hibaüzenetet.\n\n{problematiclinks}\nEz az egyetlen értesítés a fenti linkekkel kapcsolatosan, archiválásukkal nem próbálkozom újra.\n\nÜdv!

  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.

A {link} halottnak tűnik. Javasolt a(z) {newarchive} hozzáadása az eredeti URL-hez.

  • {link} is found to be dead. No archive was found.

A {link} halottnak tűnik. Archivált verziót nem találtam.

  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.

A {link} halottnak minősített, azonban a webhely továbbra is él. Javasolt a halott jelzés eltávolítása az URL-ről.

  • Added archive {newarchive} to {link}

{newarchive} archivált link hozzáadva a(z) {link} linkhez

  • Replaced archive link {oldarchive} with {newarchive} on {link}

{link} link {oldarchive} archivált linkje lecserélve {newarchive} linkkel

  • Corrected formatting/usage for {link}

{link} formázása/használata javítva

  • Added {{tlx|dead link}} tag to {link}

{{sab|halott link}} sablon kihelyezve a {link} linkre

  • Removed dead tag from {link}

Halott link sablon eltávolítva a {link} linkről

  • Modified source for {link}

{link} forrása módosítva

  • {problem} with error {error}

{problem} {error} hibakóddal

  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.

{linksrescued} forrás archiválása és {linkstagged} megjelölése halott linkként.

  • Notification of errors encountered when attempting to archive links

Értesítés a linkek archiválási kísérletekor tapasztalt hibákról

  • Notification of altered sources needing review

Értesítés módosított források ellenőrzésének szükségességéről

Is there anything else we should perform?

Is there anything else we should perform?

Yes, I still need the bot approvals page so I can file a request for the bot flag. :-)

@Cyberpower678 I was planning that I manually check some edits of the bot (~50) and if everything is OK, then the bot would get trusted user right for e.g. 2 weeks. The main difference between a bot and trusted user is that trusted users' edits appear on everybody's watchlist: it would be enough time for us to find any problem.

What do you think? If you are fine with it, I would fill a request and explain everything on bureaucrat's noticeboard,

50 edits completed.

Bencemac added a comment.EditedJul 15 2018, 6:43 AM

Some bug:

  • Sometimes YYYY. MM. DD instead of YYYY-MM-DD date format. Our templates support the last one, we should use that. (1) (2) (3)
  • Non Latin characters out of nowhere (1)
  • YouTube links should be ignored (1)
  • Archived link with no content (1)
  • [Link Text] links sometimes lose their end (1)
  • Bot does not delete the end of {{Halott link}} (1)

Date parameter of {{Dead link}} – {{Halott link}} should formated the following:

YYYY januárjából
YYYY feburárjából
YYYY márciusából
YYYY áprilisából
YYYY májusából
YYYY júniusából
YYYY júliusából
YYYY augusztusából
YYYY szeptemberéből
YYYY októberéből
YYYY novemberéből
YYYY decemberéből

See the category. Example.

{{Halott link}} now recognizes all date formats recognized by PHP. So you can use months like 2018-07, which are easier to code, and – IMO – better for future maintenance.

Are all months supposed to be in lowercase?

Are all months supposed to be in lowercase?

Yes, if you do not want to use 2018-07 format.

Some bug:

  • Sometimes YYYY. MM. DD instead of YYYY-MM-DD date format. Our templates support the last one, we should use that. (1) (2) (3)
  • Non Latin characters out of nowhere (1)
  • YouTube links should be ignored (1)
  • Archived link with no content (1)
  • [Link Text] links sometimes lose their end (1)
  • Bot does not delete the end of {{Halott link}} (1)
  • Date format default set to YYYY-MM-DD
  • It looks it pulled the template map for the Japanese Wikipedia as the best choice for some reason. Will look into it.
  • IABot doesn't maintain an exclusion list. Domains can be whitelisted however, but archive.org should be able to archive YouTube links
  • IABot does not have any control over the contents of the archives. If the archive is bad, IABot will need to be given a different URL to use, or be told no better archive exists. There exists an interface for that.
  • ??? I'm not sure I understand what you mean?
  • Looking into that now.

Are all months supposed to be in lowercase?

Yes, if you do not want to use 2018-07 format.

My job is to make the bot compliant with local wiki standards. :-) I've already installed the local information.

Date parameter of {{Dead link}} – {{Halott link}} should formated the following:
YYYY januárjából
YYYY feburárjából
YYYY márciusából
YYYY áprilisából
YYYY májusából
YYYY júniusából
YYYY júliusából
YYYY augusztusából
YYYY szeptemberéből
YYYY októberéből
YYYY novemberéből
YYYY decemberéből
See the category. Example.

Updated the bot to use that formatting.

I would like you, however, to use the digit-only formatting. The custom on huwiki is to use ISO date formats (like in {{cite web}}). This template already accepted this format, I just made it primary (primary means here the one that is used if no category exists with the other name scheme).

I would like you, however, to use the digit-only formatting. The custom on huwiki is to use ISO date formats (like in {{cite web}}). This template already accepted this format, I just made it primary (primary means here the one that is used if no category exists with the other name scheme).

I've updated the settings.

  • [Link Text] links sometimes lose their end (1)
  • ??? I'm not sure I understand what you mean?

<ref>Science @ NASA, [http://science.nasa.gov/headlines/y2000/ast07sep_1.htm Audacious & Outrageous: Space Elevators], September 2000</ref>
was replaced to
<ref>Science @ NASA, {{Cite web |url=http://science.nasa.gov/headlines/y2000/ast07sep_1.htm |title=Audacious & Outrageous: Space Elevators |accessdate=2018. 07. 15 |archiveurl=https://web.archive.org/web/20080919070924/http://science.nasa.gov/headlines/y2000/ast07sep_1.htm |archivedate=2008. 09. 19 }}, September 2000</ref>

It was not the bot's fault, the problem was that the title and the date was not in the link (before and after [])

  • [Link Text] links sometimes lose their end (1)
  • ??? I'm not sure I understand what you mean?

<ref>Science @ NASA, [http://science.nasa.gov/headlines/y2000/ast07sep_1.htm Audacious & Outrageous: Space Elevators], September 2000</ref>
was replaced to
<ref>Science @ NASA, {{Cite web |url=http://science.nasa.gov/headlines/y2000/ast07sep_1.htm |title=Audacious & Outrageous: Space Elevators |accessdate=2018. 07. 15 |archiveurl=https://web.archive.org/web/20080919070924/http://science.nasa.gov/headlines/y2000/ast07sep_1.htm |archivedate=2008. 09. 19 }}, September 2000</ref>
It was not the bot's fault, the problem was that the title and the date was not in the link (before and after [])

Actually the bot isn't supposed to convert if there is text elsewhere.

I think I fixed the mapping issue.

Looking into the tag removal bug.

Just a wild idea; would it be possible that the bot fixes first only those dead links which are inside a template? As far I see, it works perfectly (after solving the date format problem).

Just a wild idea; would it be possible that the bot fixes first only those dead links which are inside a template? As far I see, it works perfectly (after solving the date format problem).

IABot doesn't have an option to restrict operations to only templates.

Running another batch of 50

50 edits finished

Bot is ready for deployment.

50 edits finished

I started checking them. I would have a question in connection with this edit. If the bot puts the following link into template,
[http://www.cicloweb.it/viewcic.php?key_prog=322 Cicloweb - Danilo Hondo]
->
<ref>{{Cite web |url=http://www.cicloweb.it/viewcic.php?key_prog=322 |title=Cicloweb - Danilo Hondo |accessdate=2013-11-14 |archiveurl=https://web.archive.org/web/20080629062236/http://www.cicloweb.it/viewcic.php?key_prog=322 |archivedate=2008-06-29 }}</ref>

then it should this too, shouldn't it?
<ref>[http://www.agi.it/engsport/news/200807031537-spr-ren0054-art.html] {{Dead link|date=December 2008}}</ref>
->
<ref>[http://www.agi.it/engsport/news/200807031537-spr-ren0054-art.html] {{Webarchive|url=https://archive.is/20120630061949/http://www.agi.it/engsport/news/200807031537-spr-ren0054-art.html |date=2012-06-30 }}</ref>

I spotted that the bot uses Archivált változat if there is no title parameter, which is good, so it could use that here too.

It looks like everything is fine. Two little thing:

  • The bot sometimes puts a space before the closing </ref> after deleting {{Dead link}}. Probably it is happening, because there is a space between the cite and dead link template (}} {{Dead link) and it does not delete that. Link.
  • Here the template was wrong, so it was not the bot's fault (unneccesary }} in the template). Link.
Cyberpower678 closed this task as Resolved.Jul 16 2018, 8:42 PM

Deployed

@Cyberpower678 In the name of the Hungarian community, I would like to thank your effort and patient. We are very thankful. Keep it up!